Skip to main content
GET
/
rooms
/
{room_name}
/
presence
rooms/:name/presence
curl --request GET \
  --url https://api.daily.co/v1/rooms/{room_name}/presence \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 1,
  "data": [
    {
      "room": "w2pp2cf4kltgFACPKXmX",
      "id": "d61cd7b2-a273-42b4-89bd-be763fd562c1",
      "userId": "pbZ+ismP7dk=",
      "userName": "Moishe",
      "mtgSessionId": "16e9701a-93e0-4933-83c9-223e7c40d552",
      "joinTime": "2023-01-01T20:53:19.000Z",
      "duration": 2312
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

The name of the room

Query Parameters

limit
integer<int32>

Sets the number of participants returned.

userId
string

Returns presence for the user with the given userId, if available. The userId is specified via a meeting token.

userName
string

Returns presence for the user with the given name, if available.

Response

200

total_count
integer
Example:

192

data
object[]